Name:           powerpc-utils-papr
Version:        1.1.6
Release:        2%{?dist}
Summary:        Utilities for IBM PowerPC PAPR platforms

Group:          System Environment/Base
License:        CPL
URL:            http://powerpc-utils.ozlabs.org/
Source0:        http://powerpc-utils.ozlabs.org/releases/powerpc-utils-papr-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  doxygen librtas-devel python
BuildRequires:  libservicelog-devel >= 1.0.1-2
Requires:       libservicelog
ExclusiveArch:  ppc ppc64

%description
Utilities for maintaining and servicing IBM PowerPC systems that adhere to
the POWER Architecture Platform Reference (PAPR)

%prep
%setup -q
sed -i s/744/755/ rules.mk
chmod -x scripts/ibmvscsis.sh

%build
make CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT RCSCRIPTS= FILES=


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_sbindir}/update_flash
%{_sbindir}/activate_firmware
%{_sbindir}/usysident
%{_sbindir}/usysattn
%{_sbindir}/set_poweron_time
%{_sbindir}/rtas_ibm_get_vpd
%{_sbindir}/serv_config
%{_sbindir}/uesensor
%{_sbindir}/hvcsadmin
%{_sbindir}/vscsisadmin
%{_sbindir}/rtas_dump
%{_sbindir}/rtas_event_decode
%{_sbindir}/sys_ident
%{_sbindir}/drmgr
%{_sbindir}/lsslot
%{_bindir}/amsvis
%{_bindir}/amsstat
%{_mandir}/man8/update_flash.8.gz
%{_mandir}/man8/activate_firmware.8.gz
%{_mandir}/man8/usysident.8.gz
%{_mandir}/man8/usysattn.8.gz
%{_mandir}/man8/set_poweron_time.8.gz
%{_mandir}/man8/rtas_ibm_get_vpd.8.gz
%{_mandir}/man8/serv_config.8.gz
%{_mandir}/man8/uesensor.8.gz
%{_mandir}/man8/hvcsadmin.8.gz
%{_mandir}/man8/vscsisadmin.8.gz
%{_mandir}/man8/ibmvscsis.sh.8.gz
%{_mandir}/man8/ibmvscsis.conf.8.gz
%{_mandir}/man8/rtas_dump.8.gz
%{_mandir}/man8/sys_ident.8.gz
%{_mandir}/man1/amsvis.1.gz
%{_mandir}/man1/amsstat.1.gz
%doc README COPYRIGHT Changelog scripts/ibmvscsis.sh

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 21 2009 Roman Rakus <rrakus@redhat.com> - 1.1.6-1
- New upstream version 1.1.6

* Thu Apr 02 2009 Roman Rakus <rrakus@redhat.com> - 1.1.5-1
- New upstream version 1.1.5

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0.4-3
- Autorebuild for GCC 4.3

* Sat Nov 24 2007 David Woodhouse <dwmw2@redhat.com> 1.0.4-2
- BR librtas-devel, ExclusiveArch ppc

* Fri Nov 23 2007 David Woodhouse <dwmw2@redhat.com> 1.0.4-1
- New package, split from ppc64-utils
